# Uses of Interface
org.apache.wiki.auth.authorize.GroupDatabase

Packages that use GroupDatabase
Package
Description
org.apache.wiki.auth.authorize
Authorizer implementation.

## Uses of GroupDatabase in org.apache.wiki.auth.authorize

Classes in org.apache.wiki.auth.authorize that implement GroupDatabase
Modifier and Type
Class
Description
`class`
`JDBCGroupDatabase`
Implementation of GroupDatabase that persists `Group` objects to a JDBC DataSource, as might typically be provided by a web container.
`class`
`XMLGroupDatabase`
GroupDatabase implementation for loading, persisting and storing wiki groups, using an XML file for persistence.
Methods in org.apache.wiki.auth.authorize that return GroupDatabase
Modifier and Type
Method
Description
`GroupDatabase`
DefaultGroupManager.`getGroupDatabase()`
Returns the current external `GroupDatabase` in use.
`GroupDatabase`
GroupManager.`getGroupDatabase()`
Returns the current external `GroupDatabase` in use.